<template>
  <div class="purchasFuelNewMonitor">
    <div class="frameCalculation">
      <span>净重时间：</span>
      <el-date-picker
        v-model="startTime"
        type="datetime"
        placeholder="选择日期"
      >
      </el-date-picker>
      <span>至</span>
      <el-date-picker
        v-model="endTime"
        type="datetime"
        placeholder="选择日期"
      >
      </el-date-picker>
      <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
      <el-button type="primary" @click="exportData()"><i class="el-icon-download"></i>导出(Excel)</el-button>
      <el-button type="primary" class="btn" @click="openDrawer">修改订单回传金蝶</el-button>
      <span style="margin-left: 1rem;">首次/二次合计净重：</span>
      <el-input v-model="totalNumberFrist" :disabled="true" style="width: 140px;"></el-input>
      <span style="margin-left: 1rem;">合计车数：</span>
      <el-input v-model="totalCapacity" :disabled="true" style="width: 50px;"></el-input>
    </div>
    <div class="table">
      <dilTable ref="excelDom" v-bind.sync="option" @func="func" @selection-change="selectionChange"></dilTable>
    </div>
    <el-drawer
      :visible.sync="drawer"
      direction="rtl"
      :before-close="handleClose"
      size="80%"
    >
    <el-input
        placeholder="请输入"
        v-model="input"
        style="margin-top: 10px; margin-left: 20px; width: 150px"
        clearable
      >
      </el-input>
      <el-button
        type="primary"
        class="btn"
        @click="searchOrder"
        style="margin-bottom: 15px">
        <i class="el-icon-search"></i>查询
      </el-button>
      <el-button
        type="primary"
        class="btn"
        @click="reSentEas"
        style="margin-bottom: 15px">
        确定上传金蝶
      </el-button>
      <div>
        <dilTable
        ref="ordertable"
          v-bind.sync="purchaseOption"
          @radio-change="orderChange"
        ></dilTable>
      </div>
    </el-drawer>
  </div>
</template>

<script>
import { sjTime } from '@/utils/sharedJsFile';
import { getCookie } from '@/utils/util.js';
export default {
  data() {
    return {
      totalNumberSecond:null,
      totalNumberFrist:null,
      totalCapacity:null,
      option: {
        requestUrl: "",// 控制显示多选列
        selectionType: "select",
      },
      drawer:false,
      input:null,
      purchaseOrder:null,
      selection:[],
      purchaseOption:{
         // 表格请求数据的地址
        requestUrl: "/api/v1/ams/getPurchaseOrderList?apiId=81",
        // 控制选择单列
        selectionType: "radio"
      },
      startTime: null,
      endTime: null,
      tableTitle:'采购内转统计报表'
    };
  }, 
  created(){
          this.option.requestUrl = '/api/v1/tms/getPurInwardReport?apiId=441&startTime=null&endTime=null&i=' +new Date()
  },
  methods: {
    selectionChange(selection){
      this.selection=selection;
    },
    openDrawer(){
      if(!this.selection || this.selection.length<=0){
        this.$alert("请先勾选需要修改的运单！");
        return;
      }
      this.drawer = true;
    },
    searchOrder(){
        this.purchaseOption.requestUrl="/api/v1/ams/getPurchaseOrderList?apiId=81&con="+this.input
    },
    orderChange(selection) {
      this.purchaseOrder=selection;
    },
    handleClose(){
      this.drawer=false;
      this.purchaseOrder=null;
    },
    reSentEas(){
      if(!this.selection || this.selection.length<=0 || !this.purchaseOrder){
        this.$alert("请先主动勾选采购订单！");
        return;
      }
      let map={
        list:this.selection,
        purchaseOrder: this.purchaseOrder
      }
      console.log(map);
      this.axios.post('/api/v1/bp/insertToUploadEas',map).then((res)=>{
          this.$message.success(res.data.data);
      });
    },
    func(res){
        console.log(res)
        var resultNetWeightTotalFirst = 0
        var resultNetWeightTotalSecond = 0
        var currentCapacityTotal = 0
        res.list.forEach(e => {
          currentCapacityTotal++
          resultNetWeightTotalFirst = resultNetWeightTotalFirst+e.netWeightFirst
          resultNetWeightTotalSecond = resultNetWeightTotalSecond + e.netWeightSecond
        });
        this.totalNumberFrist = resultNetWeightTotalFirst.toFixed(2) + "t" + "/" + resultNetWeightTotalSecond.toFixed(2) + "t"
        this.totalCapacity = currentCapacityTotal;
    },
    getRequestUrl(){
        this.option.requestUrl = '/api/v1/tms/getPurInwardReport?apiId=441&startTime=null&endTime=null&i=' +new Date();
     
    },
    onclick() {
      let startTime = null;
      let endTime = null;
      if(this.startTime){
        startTime = sjTime(this.startTime);
      }
      if(this.endTime){
        endTime = sjTime(this.endTime);
      }
      if(startTime && endTime){
        if(startTime < endTime){
          this.option.requestUrl = '/api/v1/tms/getPurInwardReport?apiId=441' + "&startTime=" + startTime + "&endTime=" + endTime + "&i=" +new Date(); 
        }else{
          this.startTime = null;
          this.endTime = null;
          this.$message.warning('开始时间要比结束时间早')
        }
      }else{
        console.log(startTime && endTime)
        this.getRequestUrl()
      }
    },
  },
};
</script>

<style lang="scss">
.purchasFuelNewMonitor {
  .frameCalculation {
    width: 100%;
    height: 100px;
    display: flex;
    align-items: center;
    padding-left: 50px;
    .el-date-editor{
      margin: 20px;
    }
  }
}
</style>